import { post } from '#/api/http'

import { BasicService } from '../basic'

class BindDeviceService extends BasicService {
  async unbind(data: { parentId: any; simSerialNumber: any }) {
    await post('/parentBindDevice/adminUnBound', data)
  }

  async unbindAll(simSerialNumber: any) {
    await post('/parentBindDevice/adminOneStopUnBound', { simSerialNumber })
  }

  protected findPageUrl(): string {
    return '/parentBindDevice/list'
  }

  protected removeUrl(): string {
    throw new Error('Method not implemented.')
  }

  protected saveOrUpdateUrl(): string {
    throw new Error('Method not implemented.')
  }
}

export const bindDeviceService = new BindDeviceService()
